Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.policy
Interface PolicyEngine

    public interface PolicyEngine

Method Summary
`AlternativeSelector` | `getAlternativeSelector()`
`EndpointPolicy` | `getClientEndpointPolicy(EndpointInfo ei, Conduit conduit)`
`EffectivePolicy` | `getEffectiveClientFaultPolicy(EndpointInfo ei, BindingFaultInfo bfi)`
`EffectivePolicy` | `getEffectiveClientRequestPolicy(EndpointInfo ei, BindingOperationInfo boi, Conduit c)`
`EffectivePolicy` | `getEffectiveClientResponsePolicy(EndpointInfo ei, BindingOperationInfo boi)`
`EffectivePolicy` | `getEffectiveServerFaultPolicy(EndpointInfo ei, BindingFaultInfo bfi, Destination d)`
`EffectivePolicy` | `getEffectiveServerRequestPolicy(EndpointInfo ei, BindingOperationInfo boi)`
`EffectivePolicy` | `getEffectiveServerResponsePolicy(EndpointInfo ei, BindingOperationInfo boi, Destination d)`
`org.apache.neethi.PolicyRegistry` | `getRegistry()`
`EndpointPolicy` | `getServerEndpointPolicy(EndpointInfo ei, Destination destination)`
`boolean` | `isEnabled()`
`boolean` | `isIgnoreUnknownAssertions()`
`void` | `setAlternativeSelector(AlternativeSelector selector)`
`void` | `setEffectiveClientFaultPolicy(EndpointInfo ei, BindingFaultInfo bfi, EffectivePolicy ep)`
`void` | `setEffectiveClientRequestPolicy(EndpointInfo ei, BindingOperationInfo boi, EffectivePolicy ep)`
`void` | `setEffectiveClientResponsePolicy(EndpointInfo ei, BindingOperationInfo boi, EffectivePolicy ep)`
`void` | `setEffectiveServerFaultPolicy(EndpointInfo ei, BindingFaultInfo bfi, EffectivePolicy ep)`
`void` | `setEffectiveServerRequestPolicy(EndpointInfo ei, BindingOperationInfo boi, EffectivePolicy ep)`
`void` | `setEffectiveServerResponsePolicy(EndpointInfo ei, BindingOperationInfo boi, EffectivePolicy ep)`
`void` | `setEnabled(boolean e)`
`void` | `setEndpointPolicy(EndpointInfo ei, EndpointPolicy ep)`
`void` | `setIgnoreUnknownAssertions(boolean ignoreUnknownAssertions)`
`boolean` | `supportsAlternative(java.util.Collection<org.apache.neethi.Assertion> alterative, Assertor assertor)`

Method Detail

### isEnabled

    boolean isEnabled()

### setEnabled

    void setEnabled(boolean e)

### getAlternativeSelector

    AlternativeSelector getAlternativeSelector()

### setAlternativeSelector

    void setAlternativeSelector(AlternativeSelector selector)

### isIgnoreUnknownAssertions

    boolean isIgnoreUnknownAssertions()

### setIgnoreUnknownAssertions

    void setIgnoreUnknownAssertions(boolean ignoreUnknownAssertions)

### supportsAlternative

    boolean supportsAlternative(java.util.Collection<org.apache.neethi.Assertion> alterative,
                                Assertor assertor)

### getEffectiveClientRequestPolicy

    EffectivePolicy getEffectiveClientRequestPolicy(EndpointInfo ei,
                                                    BindingOperationInfo boi,
                                                    Conduit c)

### setEffectiveClientRequestPolicy

    void setEffectiveClientRequestPolicy(EndpointInfo ei,
                                         BindingOperationInfo boi,
                                         EffectivePolicy ep)

### getEffectiveServerResponsePolicy

    EffectivePolicy getEffectiveServerResponsePolicy(EndpointInfo ei,
                                                     BindingOperationInfo boi,
                                                     Destination d)

### setEffectiveServerResponsePolicy

    void setEffectiveServerResponsePolicy(EndpointInfo ei,
                                          BindingOperationInfo boi,
                                          EffectivePolicy ep)

### getEffectiveServerFaultPolicy

    EffectivePolicy getEffectiveServerFaultPolicy(EndpointInfo ei,
                                                  BindingFaultInfo bfi,
                                                  Destination d)

### setEffectiveServerFaultPolicy

    void setEffectiveServerFaultPolicy(EndpointInfo ei,
                                       BindingFaultInfo bfi,
                                       EffectivePolicy ep)

### getClientEndpointPolicy

    EndpointPolicy getClientEndpointPolicy(EndpointInfo ei,
                                           Conduit conduit)

### getServerEndpointPolicy

    EndpointPolicy getServerEndpointPolicy(EndpointInfo ei,
                                           Destination destination)

### setEndpointPolicy

    void setEndpointPolicy(EndpointInfo ei,
                           EndpointPolicy ep)

### getEffectiveServerRequestPolicy

    EffectivePolicy getEffectiveServerRequestPolicy(EndpointInfo ei,
                                                    BindingOperationInfo boi)

### setEffectiveServerRequestPolicy

    void setEffectiveServerRequestPolicy(EndpointInfo ei,
                                         BindingOperationInfo boi,
                                         EffectivePolicy ep)

### getEffectiveClientResponsePolicy

    EffectivePolicy getEffectiveClientResponsePolicy(EndpointInfo ei,
                                                     BindingOperationInfo boi)

### setEffectiveClientResponsePolicy

    void setEffectiveClientResponsePolicy(EndpointInfo ei,
                                          BindingOperationInfo boi,
                                          EffectivePolicy ep)

### getEffectiveClientFaultPolicy

    EffectivePolicy getEffectiveClientFaultPolicy(EndpointInfo ei,
                                                  BindingFaultInfo bfi)

### setEffectiveClientFaultPolicy

    void setEffectiveClientFaultPolicy(EndpointInfo ei,
                                       BindingFaultInfo bfi,
                                       EffectivePolicy ep)

### getRegistry

    org.apache.neethi.PolicyRegistry getRegistry()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF is an effort undergoing incubation at the Apache Software Foundation(ASF) and sponsored by the Apache Incubator PMC.